Bug 824853 - [eap6] support for adding OSGi capabilities and properties
[eap6] support for adding OSGi capabilities and properties
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 811288 825379 826074
  Show dependency treegraph
 
Reported: 2012-05-24 08:59 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 825379 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:02:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-05-24 08:59:22 EDT
Description of problem:JON can list Capability and Property resources of AS7 OSGi subsystem but there is no way to add new child resources of these types. AS7 Web console supports this.


Version-Release number of selected component (if applicable):
JON 3.1.ER4 EAP6.ER8


Actual results: there is a way to add property to osgi subsystem, but this way does not work.

{Operation step-2=JBAS014792: Unknown attribute property}}

Expected results: JON user should be able to add new Capability and Property resources under osgi subsystem.
Comment 1 Stefan Negrea 2012-05-24 15:06:31 EDT
This will be addressed as part of bug 811288. Creation/deletion of Capability and Property should be available through the regular inventory operations.
Comment 2 Heiko W. Rupp 2012-05-25 08:52:56 EDT
Looks now good to me in master
Comment 3 Charles Crouch 2012-05-25 14:21:43 EDT
Setting target release correctly.
Comment 4 Stefan Negrea 2012-05-25 16:22:35 EDT
This has now been fixed in master branch by the commits for bug 811288.

The commits relevant to this bug from master branch:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=acc5f0a08049440b70441fda1d591e225f2156ab

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=1490b713fd1b2b0829521225eb4d9ab21b1f4e90
Comment 5 Heiko W. Rupp 2013-09-01 06:02:11 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.